### Method

# Gtk Widgetget_tooltip_text

#### Declaration [src]

    const char*
    gtk_widget_get_tooltip_text (
      GtkWidget* widget
    )

#### Description [src]

Gets the contents of the tooltip for `widget`.

If the `widget`‘s tooltip was set using `gtk_widget_set_tooltip_markup()`, this function will return the escaped text.

Gets property | `Gtk.Widget:tooltip-text`

#### Return value

Type: `const char*`

The tooltip text.

The data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.